URIO(4)

NAME
urio - Diamond Multimedia Rio MP3 players

SYNOPSIS
urio* at uhub?

DESCRIPTION
The urio driver provides support for Rio500 and Rio600 MP3 players from Diamond MultiMedia.

The driver implements minimal support to access the device and requires a user application for up and downloading music.

FILES
/dev/urio0
    device node

EXAMPLES
Using the Rio500 package the command

    rio_add_song Rammstein-Wollt_Ihr_Das_Bett_In_Flammen_Sehen.mp3

will download a song over the USB connection into your Rio500.

SEE ALSO
uhub(4), usb(4)

/usr/ports/audio/rioutil

HISTORY
The urio driver appeared in OpenBSD 2.7. This driver is based on a FreeBSD Rio driver written by Iwasa Kazmi.